org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature

## Class AbstractFeatureCrs

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.feature.AbstractFeatureCrs

- Direct Known Subclasses:
    FeatureCrsParameter, FeatureCrsParameterDefault, FeatureCrsParameterInvalid, FeatureCrsParameterTransform

      public class AbstractFeatureCrs
      extends CommonFixture

  Author:
    Lyn Goltz

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,List<CoordinateSystem>>` | `collectionIdToCrs`
    `protected Map<String,CoordinateSystem>` | `collectionIdToDefaultCrs`
    `protected Map<String,String>` | `collectionIdToFeatureId`
    `protected Map<String,io.restassured.path.json.JsonPath>` | `collectionsResponses`

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFeatureCrs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Object[]>` | `collectionFeatureId(org.testng.ITestContext testContext)`
    `void` | `retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### collectionsResponses

          protected Map<String,io.restassured.path.json.JsonPath> collectionsResponses

    - #### collectionIdToCrs

          protected Map<String,List<CoordinateSystem>> collectionIdToCrs

    - #### collectionIdToDefaultCrs

          protected Map<String,CoordinateSystem> collectionIdToDefaultCrs

    - #### collectionIdToFeatureId

          protected Map<String,String> collectionIdToFeatureId

  - ### Constructor Detail

    - #### AbstractFeatureCrs

          public AbstractFeatureCrs()

  - ### Method Detail

    - #### retrieveRequiredInformationFromTestContext

          public void retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)

    - #### collectionFeatureId

          public Iterator<Object[]> collectionFeatureId(org.testng.ITestContext testContext)

Copyright © 2022 Open Geospatial Consortium. All rights reserved.